KABC::AddressLineEdit Class Reference

`#include <addresslineedit.h>`

Inheritance diagram for KABC::AddressLineEdit:

## Public Slots

void | cursorAtEnd ()
void | enableCompletion (bool enable)

## Public Member Functions

| AddressLineEdit (QWidget *parent, bool useCompletion=true, const char *name=0L)
virtual void | setFont (const QFont &)
Public Member Functions inherited from KCompletionBase
KCompletion * | completionObject (bool hsig=true)
virtual void | setCompletionObject (KCompletion *compObj, bool hsig=true)
virtual void | setHandleSignals (bool handle)
bool | isCompletionObjectAutoDeleted () const
void | setAutoDeleteCompletionObject (bool autoDelete)
void | setEnableSignals (bool enable)
bool | handleSignals () const
bool | emitSignals () const
virtual void | setCompletionMode (KGlobalSettings::Completion mode)
KGlobalSettings::Completion | completionMode () const
bool | setKeyBinding (KeyBindingType item, const KShortcut &key)
const KShortcut & | getKeyBinding (KeyBindingType item) const
void | useGlobalKeyBindings ()
virtual void | setCompletedText (const QString &text)=0
virtual void | setCompletedItems (const QStringList &items)=0
KCompletion * | compObj () const

## Static Public Member Functions

static KConfig * | config ()

## Protected Member Functions

virtual void | loadAddresses ()
void | addAddress (const QString &)
virtual void | keyPressEvent (QKeyEvent *)
virtual void | dropEvent (QDropEvent *e)
virtual void | paste ()
virtual void | insert (const QString &t)
virtual void | mouseReleaseEvent (QMouseEvent *e)
void | doCompletion (bool ctrlT)
Protected Member Functions inherited from KCompletionBase
KeyBindingMap | getKeyBindings () const
void | setDelegate (KCompletionBase *delegate)
KCompletionBase * | delegate () const

## Additional Inherited Members

Public Types inherited from KCompletionBase
enum | KeyBindingType

## Detailed Description

A lineedit with LDAP and kabc completion.

This lineedit is supposed to be used wherever the user types email addresses and might want a completion. You can simply use it as a replacement for KLineEdit or QLineEdit.

You can enable or disable the lineedit at any time.

See also
  AddressLineEdit::enableCompletion()

Definition at line 50 of file addresslineedit.h.

## Member Function Documentation

void AddressLineEdit::cursorAtEnd | ( |  | ) |

slot

Set cursor to end of line.

Definition at line 276 of file addresslineedit.cpp.

void AddressLineEdit::enableCompletion | ( | bool | enable | ) |

slot

Toggle completion.

Definition at line 282 of file addresslineedit.cpp.

void AddressLineEdit::loadAddresses | ( |  | ) |

protected virtual

Always call AddressLineEdit::loadAddresses() as the first thing.

Use addAddress() to add addresses.

Definition at line 427 of file addresslineedit.cpp.

void AddressLineEdit::setFont | ( | const QFont & | font | ) |

virtual

Reimplented for internal reasons.

@ see KLineEdit::setFont()

Definition at line 147 of file addresslineedit.cpp.

The documentation for this class was generated from the following files:

- addresslineedit.h
- addresslineedit.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys